diff --git a/PKGBUILD b/PKGBUILD
index 6e95484..442d8ac 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,4 +1,5 @@
 # Maintainer: Azure Zeng (weedycn at outlook dot com)
+# Contributor: 1F616EMO <root@1f616emo.xyz>
 # Contributor: LockRim <lockrim@qq.com>
 # Contributor: shniubobo <shniubobo at outlook dot com>
 # Contributor: Howard Cheung <mail@h-cheung.cf>
@@ -6,15 +7,15 @@
 
 pkgname=fcitx5-pinyin-moegirl-rime
 pkgver=20231114
-_reponame=mw2fcitx
-pkgrel=1
+pkgrel=2
 pkgdesc="Fcitx 5 Pinyin Dictionary from moegirl.org wiki for rime"
 arch=('any')
 url="https://github.com/outloudvi/mw2fcitx"
+depends=('fcitx5-rime')
 license=('Unlicense' 'cc-by-nc-sa-3.0')
-source=("https://github.com/outloudvi/${_reponame}/releases/download/${pkgver}/moegirl.dict.yaml")
-sha256sums=('8ded66335b3b8f8a1435233a0e33b3488226369f3a976adc517bf4b87855f22e')
+source=("${pkgver}.moegirl.dict.yaml::https://github.com/outloudvi/mw2fcitx/releases/download/${pkgver}/moegirl.dict.yaml")
+sha256sums=('c840b5135d67f529323e15bf255a56b92e71a62f1c2eb05c42375e066cc95c9d')
 
 package() {
-    install -Dm644 moegirl.dict.yaml -t ${pkgdir}/usr/share/rime-data/
+    install -Dm644 "${pkgver}.moegirl.dict.yaml" -t "${pkgdir}/usr/share/rime-data/moegirl.dict.yaml"
 }
